module mod_globvar
implicit none
integer :: ia, iu, iz, ix, jz, tsol, ALLOC_ERR, i, t, ja1, ja2, jx1, jx2, nsim_low, nsim_high
real(8) :: pa1, px1, a_bar, x_bar, x_prime, a_prime, yT, ind(1), V0, V1, cev_low, cev_high, cev_level
real(8) :: eps = 0.0000000000000005d0
integer, parameter :: ntime = 71				 	                               
real(8), parameter :: grad = 0.5d0
real(8), parameter :: ret_age = 46.0d0
real(8), parameter :: ntime_ret = 26.0d0 
real(8) :: errot = 1000.0d0
real(8) :: niter = 0.0d0
integer, parameter :: agrid = 100.0d0  
integer, parameter :: ugrid = 9.0d0
integer, parameter :: zgrid = 11.0d0
integer, parameter :: xgrid = 30.0d0 
integer, parameter :: nsim =250000								           
real(8) :: a(agrid), u(ugrid), z(zgrid), x(xgrid), pw(2), xmax, xmin, res, cappa_w(ntime), cappa_sc(ntime), chi_age(ntime)
real(8) :: l_bench(ntime), c_bench(ntime), lage(ntime), cage(ntime)
real(8), parameter :: amax = 100.0d0		
real(8), parameter :: amax_ndc = 30.0d0		
real(8), parameter :: amin = 0.0d0	
real(8) :: l_bar = 1.0d0-1d-10
real(8), parameter :: gamma = 4.000d0
real(8), parameter :: beta = 0.976d0 
real(8), parameter :: delta =  0.060d0
real(8), parameter :: eta = 0.360d0
real(8), parameter :: tfp = 0.880d0
real(8), parameter :: phi_1 =-24.500d0
real(8), parameter :: phi_2 = 50.600d0 
real(8), parameter :: gn = 0.008d0  
real(8) :: Pr_z(zgrid,zgrid)
real(8) :: Pr_u(ugrid)
real(8) :: denom, y_gross, pop_low, pop_all, pop_hig, covar_u_a, var_a, var_u, a_ini(nsim), dra_a_ini(nsim), dra_u_ini(nsim), u_ini(nsim)
real(8) :: sigma(ntime)
real(8) :: mean_a1, mean_a2, mean_a3, mean_a4, mean_a5, mean_a6, mean_a7, mean_a8, mean_a9
real(8) :: std_a1, std_a2, std_a3, std_a4, std_a5, std_a6, std_a7, std_a8, std_a9
real(8) :: rho_z = 0.965d0
real(8) :: std_e = 0.031d0**0.5d0
real(8) :: mean_z = -0.031d0**0.5d0
real(8) :: std_u = 0.105d0**0.5d0
real(8) :: mean_u = -0.105d0**0.5d0
real(8) :: corr_u_a = 0.85d0
real(8) :: r = 0.058635d0                           
real(8) :: w = 1.0098d0
real(8) :: kl = 6.0d0
real(8) :: ym = 0.39d0
real(8) :: ymax = 2.42d0*0.39d0  
real(8) :: cmin = 0.0328d0
real(8) :: GS = 0.10d0
real(8) :: debt = 0.00d0
real(8) :: beq = 0.0d0
real(8) :: tau_k = 0.300d0
real(8) :: tau_ss = 0.062d0
real(8) :: tau_c = 0.060d0
real(8) :: zeta_1 = 0.817705d0
real(8) :: zeta_2 =-0.000d0 
real(8) :: alpha = 0.087d0 
real(8) :: model = 1.0d0  
real(8) :: r_ben = 0.0450d0    
real(8) :: p_min = 0.00d0 
real(8) :: b_min = 0.000d0
real(8) :: tau_ss_0 = 0.062d0  
real(8) :: tau_ss_1 = 0.000d0  
real(8) :: EV0 = 0.0d0
real(8) :: EV_w(agrid,ugrid,zgrid,xgrid)
real(8) :: l_ret(agrid,xgrid,ntime), a_ret(agrid,xgrid,ntime), c_ret(agrid,xgrid,ntime), V_ret(agrid,xgrid,ntime)
real(8) :: rho_func(ntime), utility1_sim_bench(nsim,ntime), utility1_sim(nsim,ntime), utility_sim_bench(nsim,ntime)
real(8) :: total_savings_m, total_savings_sim(nsim,ntime), savings_sim(nsim,ntime), yTsim(nsim,ntime), rev_ss_sim(nsim,ntime)
real(8) :: tsim(nsim,ntime), lmin_func(ntime)
real(8) :: a_age_1(ntime), a_age_2(ntime), a_age_3(ntime), a_age_4(ntime), a_age_5(ntime), a_age_6(ntime), a_age_7(ntime)
REAL(8) :: l_w(agrid,ugrid,zgrid,xgrid,ntime), c_w(agrid,ugrid,zgrid,xgrid,ntime), a_w(agrid,ugrid,zgrid,xgrid,ntime), V_w(agrid,ugrid,zgrid,xgrid,ntime) 
REAL(8) :: c_w_out(agrid,ugrid,zgrid,xgrid,ntime), a_w_out(agrid,ugrid,zgrid,xgrid,ntime), V_w_out(agrid,ugrid,zgrid,xgrid,ntime) 
real(8) :: csim(nsim,ntime), asim(nsim,ntime), lsim(nsim,ntime), Vsim(nsim,ntime)
real(8) :: ysim(nsim,ntime), xsim(nsim,ntime), ltax(nsim,ntime), ltax1(nsim,ntime), ltax2(nsim,ntime), trans_sim(nsim,ntime)
real(8) :: iu_sim(nsim,ntime), iz_sim(nsim,ntime)
real(8) :: d_csim(nsim,ntime), d_zsim(nsim,ntime), d_csim_low(nsim,ntime), d_zsim_low(nsim,ntime), d_csim_high(nsim,ntime), d_zsim_high(nsim,ntime), psim(nsim,ntime)
real(8) :: y_total_sim(nsim,ntime), y_total_net_sim(nsim,ntime)
real(8) :: utility1_sim_low(ntime), utility_sim_bench_low(ntime), utility1_sim_high(ntime), utility_sim_bench_high(ntime)
real(8) :: psi(ntime)
real(8) :: ef_temp(ntime)
real(8) :: l_nsa(ntime)
real(8) :: mu(ntime)
real(8) :: nu(ntime)
real(8) :: am = 1.65d0
real(8) :: labor = 0.310d0
real(8) :: im = 0.1050d0
end module mod_globvar