module mod_sim_ret
use mod_globvar
use mod_probability
use mod_utilities
implicit none
contains
subroutine sim_ret
implicit none
real(8) :: ind(1)
asim(i,t) = lininterp2(a,x,a_ret(:,:,t-1),asim(i,t-1),xsim(i,t-1)) 
xsim(i,t) = xsim(i,t-1) 
Vsim(i,t) = lininterp2(a,x,V_ret(:,:,t),asim(i,t),xsim(i,t)) 
lsim(i,t) = 0.0d0
csim(i,t) = max(lininterp2(a,x,c_ret(:,:,t),asim(i,t),xsim(i,t)),1d-10)
ysim(i,t) = ben_func(xsim(i,t)) 
res = (1.0d0+r)*asim(i,t) + ysim(i,t) + beq 
trans_sim(i,t) = trans(cmin,res)
a_bar = max(asim(i,t),a_bar)
x_bar = max(xsim(i,t),x_bar)
if (model==0.0d0) then 
y_total_sim(i,t) = r*asim(i,t) 
y_total_net_sim(i,t) = (1.0d0-tau_k)*r*asim(i,t) + ysim(i,t) + trans_sim(i,t)
elseif (model==1.0d0) then  
y_total_sim(i,t) = r*asim(i,t) 
y_total_net_sim(i,t) = (1.0d0-tau_k)*r*asim(i,t) + ysim(i,t) + trans_sim(i,t)
endif  
if ((csim(i,t)>0.0d0).AND.(lsim(i,t)>=0.0d0).AND.(lsim(i,t)<1.0d0)) then
utility1_sim(i,t) = util_out(csim(i,t),lsim(i,t),dble(t),asim(i,t))
else
pause
endif
end subroutine sim_ret
end module mod_sim_ret
